Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 5.3

In order to compile and run sample clients of WSO2 products, it is necessary to install the latest version of Apache Ant.

Info
titleNote

Refer to  Installation Prerequisites for the full list of all applications necessary to install and work with the WSO2 product you plan to use.

Follow the instructions below to install Apache Ant on Linux from the command line.

Establish a SSH connection to the Linux machine or log in on the text Linux console. You should either log in as root or obtain root permissions after login via su or sudo command.

Step 1. Check Java Environment

Make sure you have a Java environment installed. Refer to Apache Ant System Requirements for details.

Step 2. Install Apache Ant

For Ubuntu, Debian:

Type the following command:

Code Block
sudo apt-get install ant

For CentOS, RedHat and Fedora:

Type the following command:

Code Block
sudo yum install ant

Step 3. Verify Installation of Apache Ant

After installation check the version by command:

Code Block
ant -version

The system displays information on the Apache Ant version installed.

Excerpt
hiddentrue

Instructions to install Apache Ant on Linux.